--- fstype	2004/09/27 22:26:59	1.1
+++ fstype	2004/09/27 22:37:48
@@ -28,7 +28,16 @@
   *[Jj][Ff][Ss]*)              echo "jfs";;
   *[Ee][Xx][Tt]3*)             echo "ext3";;
   *[Ee][Xx][Tt]2*)             echo "ext2";;
-  *[Ss][Ww][Aa][Pp]*)          echo "swap";;
+  *[Ss][Ww][Aa][Pp]*)          
+	  basedsk=${1%[0-9]} basedsk=${basedsk%[0-9]} 
+	  if [  "yes" = "$ANYSWAP"  ]  || [ ! -b "$basedsk" ] ||
+	     fdisk -l $basedsk  | grep "^$1 "|grep -iqs linux ;then
+		echo swap 
+	  else
+		echo auto 
+		echo 1>&2 "ignoring swap signature  on $1 use 'anyswap' to enable"  
+	  fi
+  ;;
   *[Nn][Tt][Ff][Ss]*)          echo "ntfs";;
   *[Ff][Aa][Tt]*)              echo "vfat";;
   *)                           echo "auto";;
